org.apache.maven.shared.io.location

## Interface Location

All Known Implementing Classes:
  ArtifactLocation, FileLocation, URLLocation

    public interface Location

The location interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close the location.
`File` `getFile()`
`InputStream` `getInputStream()`
`String` `getSpecification()`
`void` `open()` open the location.
`int` `read(byte[] buffer)`
`int` `read(ByteBuffer buffer)`

### Method Detail

#### getFile

    File getFile()
          throws IOException

Returns:
  `File`.
Throws:
  `IOException` - in case of an error.

#### open

    void open()
       throws IOException

open the location.

Throws:
  `IOException` - in case of an error.

#### close

    void close()

Close the location.

#### read

    int read(ByteBuffer buffer)
      throws IOException

Parameters:
  `buffer` - The buffer.
Returns:
  number of read bytes.
Throws:
  `IOException` - in case of an error.

#### read

    int read(byte[] buffer)
      throws IOException

Parameters:
  `buffer` - The buffer.
Returns:
  number of read bytes.
Throws:
  `IOException` - in case of an error.

#### getInputStream

    InputStream getInputStream()
                        throws IOException

Returns:
  the resulting input stream.
Throws:
  `IOException` - in case of an error.

#### getSpecification

    String getSpecification()

Returns:
  spec.